# LaplacianSmoothModifier(Modifier)

base classes — `bpy_struct`, `Modifier`

class `bpy.types.``LaplacianSmoothModifier`(Modifier)

  Smoothing effect modifier

  `iterations`

    Type: | int in [-32768, 32767], default 0

  `lambda_border`

    Lambda factor in border

    Type: | float in [-inf, inf], default 0.0

  `lambda_factor`

    Smooth factor effect

    Type: | float in [-inf, inf], default 0.0

  `use_normalized`

    Improve and stabilize the enhanced shape

    Type: | boolean, default False

  `use_volume_preserve`

    Apply volume preservation after smooth

    Type: | boolean, default False

  `use_x`

    Smooth object along X axis

    Type: | boolean, default False

  `use_y`

    Smooth object along Y axis

    Type: | boolean, default False

  `use_z`

    Smooth object along Z axis

    Type: | boolean, default False

  `vertex_group`

    Name of Vertex Group which determines influence of modifier per point

    Type: | string, default “”, (never None)

Inherited Properties

`bpy_struct.id_data` `Modifier.name` `Modifier.type` `Modifier.show_viewport` `Modifier.show_render` | `Modifier.show_in_editmode` `Modifier.show_on_cage` `Modifier.show_expanded` `Modifier.use_apply_on_spline`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`